도메인 역사
특정 ZCash name에서 수행된 작업(예: 등록 및 업데이트)의 기록 로그를 검색합니다.
엔드포인트
POST https://indexer.zcashnames.co/v1.0/history/richard.zcash
경로 매개변수
| 매개변수 | 유형 | 필수 | 설명 |
|---|---|---|---|
domain_name | string | 예 | 기록을 쿼리할 Zcash 도메인입니다(예: richard.zcash). |
요청 본문
요청 본문은 다음 매개변수를 포함하는 JSON 객체여야 합니다.
| 매개변수 | 유형 | 기본값 | 설명 |
|---|---|---|---|
count | integer | 없음 | 단일 응답으로 반환되는 최대 항목 수를 제한합니다. |
from_block_id | integer | 없음 | 이 특정 블록 높이부터 시작하여 기록 로그를 요청합니다. |
order | string | desc | 기록 로그의 정렬 순서입니다. 허용되는 값: asc 또는 desc. |
코드 예
- cURL
- JavaScript
- Python
- PHP
curl -X POST https://indexer.zcashnames.co/v1.0/history/richard.zcash \
-H "Content-Type: application/json" \
-d '{
"count": 10,
"from_block_id": 5332579,
"order": "asc"
}'
const url = 'https://indexer.zcashnames.co/v1.0/history/richard.zcash';
const data = {
count: 10,
from_block_id: 5332579,
order: 'asc'
};
fetch(url, {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify(data)
})
.then(response => response.json())
.then(result => console.log(result))
.catch(error => console.error('Error:', error));
import requests
url = "https://indexer.zcashnames.co/v1.0/history/richard.zcash"
payload = {
"count": 10,
"from_block_id": 5332579,
"order": "asc"
}
headers = {
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
<?php
$url = 'https://indexer.zcashnames.co/v1.0/history/richard.zcash';
$data = [
'count' => 10,
'from_block_id' => 5332579,
'order' => 'asc'
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
$result = json_decode($response, true);
print_r($result);
응답 예
{
"response": [
{
"domain_block_id": 3422326,
"target_address": "u1497pm907qr0mnde0pusv4fy8eg0tagur9yrcwkj28qjpqp42qdeght6kwlkeu5np522h5v7473533za8w9ne36yqr42dfa6jlveeg5ya",
"owner_pubkey": "3757ee1a8b3f10353ca6edd47b66920392b02e323dca3f3edddb5de142079a53",
"domain_tx": "388241ffc5bf8ba3d7633d132298d157e26d6ac127ff8d162f26e7203084df08",
"op": "REG",
"nonce": 1784808228,
"price": 0
},
{
"domain_block_id": 3422369,
"target_address": "u1497pm907qr0mnde0pusv4fy8eg0tagur9yrcwkj28qjpqp42qdeght6kwlkeu5np522h5v7473533za8w9ne36yqr42dfa6jlveeg5ya",
"owner_pubkey": "3757ee1a8b3f10353ca6edd47b66920392b02e323dca3f3edddb5de142079a53",
"domain_tx": "4d5419af400966616ba9325f78bb3cac2ff1229fd4d39ed022a9fc113ee4b67e",
"op": "LST",
"nonce": 1784812534,
"price": 200000
},
{
"domain_block_id": 3422421,
"target_address": "u157q45z9fwy7349t5r7w4d0tpmdzhw6xvuwm4ucqq80ysftk9wxryrru0l7puxpdlujnkmj5d9ewzaxz5x6slfg3xys4egayx7vry57wd",
"owner_pubkey": "66a998241f62b4c8e4340f6e840b4570ac1d2d9840e2e42f62e713a34244f098",
"domain_tx": "3834eb36ca816f1bd9074c546ec64b3a361aca67e88c35b1586fe4ec1ae60095",
"op": "BUY",
"nonce": 1784815586,
"price": 0
},
{
"domain_block_id": 3423248,
"target_address": "u157q45z9fwy7349t5r7w4d0tpmdzhw6xvuwm4ucqq80ysftk9wxryrru0l7puxpdlujnkmj5d9ewzaxz5x6slfg3xys4egayx7vry57wd",
"owner_pubkey": "66a998241f62b4c8e4340f6e840b4570ac1d2d9840e2e42f62e713a34244f098",
"domain_tx": "3c08640ed394b1a270abddcc3ca873c13793629c6a148ad0b5585003ca9e632a",
"op": "LST",
"nonce": 1784878114,
"price": 10012345678
},
{
"domain_block_id": 3423248,
"target_address": "u157q45z9fwy7349t5r7w4d0tpmdzhw6xvuwm4ucqq80ysftk9wxryrru0l7puxpdlujnkmj5d9ewzaxz5x6slfg3xys4egayx7vry57wd",
"owner_pubkey": "66a998241f62b4c8e4340f6e840b4570ac1d2d9840e2e42f62e713a34244f098",
"domain_tx": "9ad75f893c002f21e9bbc3c6cdf4e151477293d64a013aa773db26598c1d5d11",
"op": "ULT",
"nonce": 1784878293,
"price": 0
}
]
}
| 필드 | 유형 | 설명 |
|---|---|---|
domain_block_id | 정수 | 작업의 ZCash block_id |
target_address | 문자열 | ZCash 주소 확인 중 |
op | 문자열 | 이름에 대해 작업이 수행되었습니다 |
owner_pubkey | 문자열 | 이름 소유자의 공개 키 |
domain_tx | 문자열 | 이름 등록의 Zcash 트랜잭션 해시 |
nonce | 정수 | 작업의 타임스탬프 증가 |
price | 정수 | 도메인 판매 가격(LST 또는 BUY), 그렇지 않은 경우 0 |